phpBB lang_bbcode.php faq Variable XSS

2004-07-13T09:15:10
ID OSVDB:7948
Type osvdb
Reporter Janek Vind "waraxe"(come2waraxe@yahoo.com)
Modified 2004-07-13T09:15:10

Description

Vulnerability Description

phpBB contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the "faq" variable upon submission to the lang_bbcode.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Technical Description

"register_globals" must be enabled on the server for this to be exploited.

Solution Description

Upgrade to version 2.0.9 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

phpBB contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the "faq" variable upon submission to the lang_bbcode.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Manual Testing Notes

http://[victim]/phpbb208/faq.php?mode=bbcode& faq[0][0]=f00<script>alert(document.cookie);</script>bar&faq[0][1]=waraxe

References:

Vendor URL: http://www.phpbb.com/ Vendor Specific Advisory URL Secunia Advisory ID:12055 Related OSVDB ID: 7810 Related OSVDB ID: 7947 Related OSVDB ID: 7811 Related OSVDB ID: 7809 Related OSVDB ID: 7812 Related OSVDB ID: 7813 Related OSVDB ID: 7815 Related OSVDB ID: 7808 Related OSVDB ID: 7814 Other Advisory URL: http://www.waraxe.us/index.php?modname=sa&id=34 Mail List Post: http://archives.neohapsis.com/archives/bugtraq/2004-07/0170.html CVE-2004-0730